Bug 1317656 - [RFE] Python 3 support for LibRBD Python bindings
Summary: [RFE] Python 3 support for LibRBD Python bindings
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Build
Version: 1.3.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 3.*
Assignee: ceph-eng-bugs
QA Contact: Tejas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-14 19:00 UTC by Federico Lucifredi
Modified: 2019-08-22 03:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-22 03:49:30 UTC


Attachments (Terms of Use)

Description Federico Lucifredi 2016-03-14 19:00:20 UTC
Description of problem:


Tracking bug for https://trello.com/c/tz25JdIL

This is pending upstream.

Comment 3 Ken Dreyer (Red Hat) 2016-03-15 12:36:32 UTC
Packaging and testing still needs to be finalized upstream. Re-targeting to RHCS 2.1 in the mean time.

Comment 4 Fedora Update System 2016-04-04 18:02:05 UTC
filezilla-3.16.1-1.fc24 libfilezilla-0.4.0.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4791a8ef26

Comment 5 Fedora Update System 2016-04-05 19:22:41 UTC
filezilla-3.16.1-1.fc24, libfilezilla-0.4.0.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4791a8ef26

Comment 6 Fedora Update System 2016-04-12 09:40:49 UTC
filezilla-3.16.1-1.fc24, libfilezilla-0.4.0.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Ken Dreyer (Red Hat) 2016-04-22 15:13:18 UTC
Wow, looks like the wrong bug number was used in Fedora's Bodhi.

Comment 8 Federico Lucifredi 2016-09-15 08:04:37 UTC
SCL is not a dependance of RHCS 2.0 and we would not introduce it for Python 3 bindings.

current decision is that we may have this only on the Ubuntu build if we choose to.

Comment 10 Ian Colle 2017-07-10 08:51:37 UTC
Not planned for 3.0. Do we still want to do this?

Comment 13 Jason Dillaman 2017-07-10 18:10:17 UTC
I believe the Python bindings are mostly (if not completely) Python 3 compatible -- this is more of a packaging and test issue at this point.

Comment 14 Federico Lucifredi 2017-09-06 18:59:58 UTC
This is a good point-release item. 

QE-wise, this may warrant an intall test on Ubuntu b/c of Python differences.

Comment 18 Giridhar Ramaraju 2019-08-05 13:10:35 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 19 Giridhar Ramaraju 2019-08-05 13:11:37 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri


Note You need to log in before you can comment on or make changes to this bug.